Package fr.gouv.vitam.batch.report.model.entry

# Class DeleteGotVersionsReportEntry

java.lang.Object
fr.gouv.vitam.batch.report.model.entry.ReportEntry
fr.gouv.vitam.batch.report.model.entry.DeleteGotVersionsReportEntry

public class DeleteGotVersionsReportEntry extends ReportEntry

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CREATION_DATE_TIME`
  `static final String`
  `OBJECT_GROUP_GLOBAL`
  `static final String`
  `PROCESS_ID`
  `static final String`
  `STATUS`
  `static final String`
  `TENANT`
  `static final String`
  `UNIT_IDS`

  ### Fields inherited from class fr.gouv.vitam.batch.report.model.entry.ReportEntry

  `DETAIL_ID, DETAIL_TYPE, OUTCOME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteGotVersionsReportEntry(String detailId, String processId, int tenant, String creationDateTime, String objectGroupId, Set<String> unitIds, List<ObjectGroupToDeleteReportEntry> objectGroupGlobal, String outcome)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationDateTime()`
  `List<ObjectGroupToDeleteReportEntry>`
  `getObjectGroupGlobal()`
  `String`
  `getObjectGroupId()`
  `String`
  `getProcessId()`
  `int`
  `getTenant()`
  `Set<String>`
  `getUnitIds()`

  ### Methods inherited from class fr.gouv.vitam.batch.report.model.entry.ReportEntry

  `getDetailId, getDetailType, getOutcome`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROCESS_ID

    public static final String PROCESS_ID
    See Also:
      - Constant Field Values

  - ### TENANT

    public static final String TENANT
    See Also:
      - Constant Field Values

  - ### CREATION_DATE_TIME

    public static final String CREATION_DATE_TIME
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP_GLOBAL

    public static final String OBJECT_GROUP_GLOBAL
    See Also:
      - Constant Field Values

  - ### UNIT_IDS

    public static final String UNIT_IDS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteGotVersionsReportEntry

    public DeleteGotVersionsReportEntry(String detailId, String processId, int tenant, String creationDateTime, String objectGroupId, Set<String> unitIds, List<ObjectGroupToDeleteReportEntry> objectGroupGlobal, String outcome)

- ## Method Details

  - ### getProcessId

    public String getProcessId()

  - ### getTenant

    public int getTenant()

  - ### getCreationDateTime

    public String getCreationDateTime()

  - ### getObjectGroupId

    public String getObjectGroupId()

  - ### getObjectGroupGlobal

    public List<ObjectGroupToDeleteReportEntry> getObjectGroupGlobal()

  - ### getUnitIds

    public Set<String> getUnitIds()